#ifndef DETDIALOG_H
#define DETDIALOG_H
#include <QDialog>
#include <QJsonDocument>
#include <QJsonObject>
#include <QMessageBox>

namespace Ui {
class DetDialog;
}

class DetDialog : public QDialog {
    Q_OBJECT

   public:
    explicit DetDialog(QWidget *parent = nullptr);
    ~DetDialog();
   signals:
    void createDets(const QJsonDocument &jsonDoc);
   private slots:
    void onComboTypeIndexChanged(int index);
    void validateInput();

   private:
    void clearFormData();

   private:
    Ui::DetDialog *ui;
};

#endif  // DETDIALOG_H
